#ifndef __RCU_H__

#define __RCU_H__

#ifdef __cplusplus
extern "C"{
#endif

#include <acev/acevapi.h>

/****************************************************************************/
/* Kludge: Rename new identifiers to old compatibility layer AHK070124 */
/****************************************************************************/

#define rcu_init acev_init
#define rcu_set_clock acev_set_clock
#define rcu_load_config acev_load_config
#define rcu_load_file acev_load_file
#define rcu_get_s0 acev_get_s0
#define rcu_get_s1 acev_get_s1
#define rcu_get_plx acev_get_plx
#define rcu_get_masterbase acev_get_masterbase
#define _rcu_set_masterbase _acev_set_masterbase
#define rcu_irq_handler acev_irq_handler
#define rcu_irq_enable acev_irq_enable
#define rcu_irq_disable acev_irq_disable
#define rcu_wait acev_wait
#define rcu_mark_done acev_mark_done
#define rcu_mark_busy acev_mark_busy
#define rcu_endian4 acev_endian4
#define rcu_endian2 acev_endian2
#define rcu_default_irq_exits acev_default_irq_exits
#define rcu_malloc_master acev_malloc_master
#define rcu_free_master acev_free_master
#define rcu_malloc_dma acev_malloc_dma
#define rcu_free_dma acev_free_dma
#define rcu_read_dma acev_read_dma
#define rcu_write_dma acev_write_dma
#define rcu_get_ticks RTEMSIO_getTicks
//
// Anzahl von Ticks der Systemuhr pro Mikrosekunde
#define TICKS_PER_USEC 25

#ifdef __cplusplus
} 
#endif

#endif
